﻿using Microsoft.WindowsAzure.Storage.Blob;
using OpenHarbor.Storage.Abstractions;

namespace OpenHarbor.Storage.Azure.Blob;

public class AzureBlobDirectoryInfo(CloudBlobDirectory blobDirectory) : IDirectoryInfo
{
  public string Path => blobDirectory.Prefix.TrimEnd('/');
  public bool IsDirectory => true;
}

public class AzureBlobNotExistingDirectoryInfo(string path) : IDirectoryInfo
{
  public string Path { get; } = path;
  public bool IsDirectory => true;
}